Aide programme en python

Le
Georges
Bonjour,

J’utilisais Paprass (GED de https://bipede.fr/contrib/paprass-5-65/ )
sans problème sous Linux Debian Bullseye, mais … je viens de changer de
Scanner. Le nouveau n’étant pas reconnu et scanner.cfg conservant la
configuration de l’ancien, j’ai refait une installation (en mettant Í 
l’abri les données enregistrées auparavant) sans sucés.
En console :
~/Paprass$ python3 paprass.py /home/moi/Paprass/paprass.py:65:
DeprecationWarning: an integer is required (got type float). Implicit
conversion to integers using __int__ is deprecated, and may be removed
in a future version of Python. self.resize(width, height)
/home/moi/Paprass/paprass.py:66: DeprecationWarning: an integer is
required (got type float). Implicit conversion to integers using
__int__ is deprecated, and may be removed in a future version of
Python. self.move(posX, posY) Traceback (most recent call last): File «
/home/moi/Paprass/paprass.py », line 242, in onScan scan =
scanner.getScanner(self, cfg) File « /home/moi/Paprass/scanner.py »,
line 102, in getScanner dlg = InitScanner(QCoreApplication.translate(«
scanner », « Choice of scanner »), listeScanners) TypeError: __init__()
missing 1 required positional argument: ‘devices’ Abandon

J'ai demandé de l'aide l'auteur (bipède) mais il est hospitalisé
et donc pas en situation d'analyser son programme.

Dommage s'il ne peu plus maintenir ce petit bijou.

Un spécialiste python pour aider les utilisateurs ?
Un grand merci d'avance

--
Georges debian depuis Potato
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
̓‰tienne Mollier
Le #26576910
--3ZZZivGNUHeDdY2+
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Bonjour,
Georges, on 2021-07-16:
Bonjour,
JÍ¢€™utilisais Paprass (GED de https://bipede.fr/contrib/paprass-5-65/ )
sans probl̓¨me sous Linux Debian Bullseye, mais Í¢€¦ je viens de changer de
Scanner. Le nouveau nÍ¢€™Íƒ©tant pas reconnu et scanner.cfg conservant la
configuration de lÍ¢€™ancien, jÍ¢€™ai refait une installation (en mettant ̓ 
lÍ¢€™abri les donn̓©es enregistr̓©es auparavant) sans suc̓©s.
En console :
~/Paprass$ python3 paprass.py /home/moi/Paprass/paprass.py:65:
DeprecationWarning: an integer is required (got type float). Implicit
conversion to integers using __int__ is deprecated, and may be removed
in a future version of Python. self.resize(width, height)
/home/moi/Paprass/paprass.py:66: DeprecationWarning: an integer is
required (got type float). Implicit conversion to integers using
__int__ is deprecated, and may be removed in a future version of
Python. self.move(posX, posY) Traceback (most recent call last): File Í‚«
/home/moi/Paprass/paprass.py Í‚», line 242, in onScan scan > scanner.getScanner(self, cfg) File Í‚« /home/moi/Paprass/scanner.py Í‚»,
line 102, in getScanner dlg = InitScanner(QCoreApplication.translate(Í‚«
scanner Í‚», Í‚« Choice of scanner Í‚»), listeScanners) TypeError: __init__()
missing 1 required positional argument: Í¢€˜devicesÍ¢€™ Abandon

J'ai essay̓© de r̓©cup̓©rer le programme, par curiosit̓©, mais j'ai
re̓§u pour tout message:
Invalid File Type (/home/bipede/www/downloads/logiciels/Paprass-5.65.tar.xz)!


Juste avec le message d'erreur, sans id̓©e plus pr̓©cise de ce
qu'il se passe sous le capot, je conjecture que:
1. ou bien il y a une coquille dans le fichier de configuration
scanner.cfg͂ ;
2. ou bien le scanneur n'est pas reconnu par le syst̓¨me, auquel
cas je ne pense pas que le probl̓¨me se r̓©solve du c̓´t̓© de
PapÍ‚´rass.
Pour le cas num̓©ro deux, peut-̓ªtre qu'un pilote serait
disponible dans l'une des d̓©pendances de printer-driver-all.
Je serais bien incapable d'en dire plusÍ¢€¦
J'ai demand̓© de l'aide l'auteur (bip̓¨de) mais il est hospitalis̓©
et donc pas en situation d'analyser son programme.
Dommage s'il ne peu plus maintenir ce petit bijou.

:(
Esp̓©rons que bip̓¨de puisse se remettreÍ¢€¦
--
̓‰tienne Mollier Fingerprint: 8f91 b227 c7d6 f2b1 948c 8236 793c f67e 8f0d 11da
Sent from /dev/pts/4, please excuse my verbosity.
--3ZZZivGNUHeDdY2+
Content-Type: application/pgp-signature; name="signature.asc"
-----BEGIN PGP SIGNATURE-----
iQIzBAABCgAdFiEEj5GyJ8fW8rGUjII2eTz2fo8NEdoFAmD11/UACgkQeTz2fo8N
Edp8wRAAxYS/8sP5AG7RsCjuPfCPTR+toe+DrjjaWeoz2b0VATQJofy5mqE1pyEc
BsZNHRJ5BdLsuKnQRsiKYdHp5Cnp2mklyXjdc5IQ1Ah1L7XCR6ffRPvzvYBOXfkE
/6t6/EdAz6QPs1sr/kMaPhnpsZlumRhdvY01b+6XWIWYGrZ7KeKSzwItvanMJVtr
Sp60ykwLdbKCXThxQlspWpTfqK/ga1QBUSSgaV1lcuTqu2GWBHI5PgkimeBEA0gc
ol0YAjAe4FXk/ZNb80IBR2zoQxtdq8kkxOnP4sTJwGcMxiNHdJCtl8MGUGMR96PY
DUWaAQa7guhqrE5bWW92cJqak3HKDT9ViI0pRQPk3JI5Egn8zO//16fvTNFLZjMs
iVnTsdOsCRrOmgsWWrv8s1ymTLAD9re+T5hztUnjF85XWlgTOBVyUCEHKTbRddJu
Qti2gBiD8prlgDU1eYRpwuUxZxo73VYNduz7KpExwexoF1+CT2Pyb3w85+tVljgl
wE1q6ePXZHK/x+VevajAQwowIvGnLTNe0aFxgjsJoLDT/+fGCiSvapeWlK8Smg6G
MdplH1QqVUTFIoKvlzlHiO0abBR+W+f/oC7xlF6RbZX/PAPjAkyN6ZJj2MSg0Skd
86Zfv3+Afsuu+U0ic/lGhvN4cOWOd1BXT25Z+ACQQKgumBxFgI0=WrvU
-----END PGP SIGNATURE-----
--3ZZZivGNUHeDdY2+--
Polyna-Maude Racicot-Summerside
Le #26576911
This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--ijBZjEeHHDy7I9w2mJ914DwkK5rbiAVMT
Content-Type: multipart/mixed; boundary="D3z1I3UBWIsmlrHAineYLrAk4JwV6eNjY";
protected-headers="v1"
From: Polyna-Maude Racicot-Summerside To: =?UTF-8?Q?̓‰tienne_Mollier?= Cc: "User French Mailing List (Debian)" Message-ID: Subject: Re: Aide programme en python
References:
In-Reply-To:
--D3z1I3UBWIsmlrHAineYLrAk4JwV6eNjY
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable
Salut,
On 2021-07-19 3:52 p.m., ̓‰tienne Mollier wrote:
Bonjour,
Georges, on 2021-07-16:
Bonjour,
JÍ¢€™utilisais Paprass (GED de https://bipede.fr/contrib/paprass-5-65/ )
sans probl̓¨me sous Linux Debian Bullseye, mais Í¢€¦ je viens de changer de
Scanner. Le nouveau nÍ¢€™Íƒ©tant pas reconnu et scanner.cfg conservant la
configuration de lÍ¢€™ancien, jÍ¢€™ai refait une installation (en mettant ̓ 
lÍ¢€™abri les donn̓©es enregistr̓©es auparavant) sans suc̓©s.
En console :
~/Paprass$ python3 paprass.py /home/moi/Paprass/paprass.py:65:
DeprecationWarning: an integer is required (got type float). Implicit
conversion to integers using __int__ is deprecated, and may be removed
in a future version of Python. self.resize(width, height)
/home/moi/Paprass/paprass.py:66: DeprecationWarning: an integer is
required (got type float). Implicit conversion to integers using
__int__ is deprecated, and may be removed in a future version of
Python. self.move(posX, posY) Traceback (most recent call last): File Í‚«
/home/moi/Paprass/paprass.py Í‚», line 242, in onScan scan >> scanner.getScanner(self, cfg) File Í‚« /home/moi/Paprass/scanner.py Í‚»,
line 102, in getScanner dlg = InitScanner(QCoreApplication.translate(Í‚«
scanner Í‚», Í‚« Choice of scanner Í‚»), listeScanners) TypeError: __init__()
missing 1 required positional argument: Í¢€˜devicesÍ¢€™ Abandon

J'ai essay̓© de r̓©cup̓©rer le programme, par curiosit̓©, mais j'ai
re̓§u pour tout message:
Invalid File Type (/home/bipede/www/downloads/logiciels/Paprass-5.65.tar.xz)!


Juste avec le message d'erreur, sans id̓©e plus pr̓©cise de ce
qu'il se passe sous le capot, je conjecture que:
1. ou bien il y a une coquille dans le fichier de configuration
scanner.cfg͂ ;
2. ou bien le scanneur n'est pas reconnu par le syst̓¨me, auquel
cas je ne pense pas que le probl̓¨me se r̓©solve du c̓´t̓© de
PapÍ‚´rass.
Pour le cas num̓©ro deux, peut-̓ªtre qu'un pilote serait
disponible dans l'une des d̓©pendances de printer-driver-all.
Je serais bien incapable d'en dire plusÍ¢€¦
J'ai demand̓© de l'aide l'auteur (bip̓¨de) mais il est hospitalis̓©
et donc pas en situation d'analyser son programme.
Dommage s'il ne peu plus maintenir ce petit bijou.

:(
Esp̓©rons que bip̓¨de puisse se remettreÍ¢€¦

As-tu pens̓© ̓  VueScan ?
--
Polyna-Maude R.-Summerside
-Be smart, Be wise, Support opensource development
--D3z1I3UBWIsmlrHAineYLrAk4JwV6eNjY--
--ijBZjEeHHDy7I9w2mJ914DwkK5rbiAVMT
Content-Type: application/pgp-signature; name="OpenPGP_signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="OpenPGP_signature"
-----BEGIN PGP SIGNATURE-----
wsF5BAABCAAjFiEElxOPFqFt1Wj+LmZjS1zCmZZxgEYFAmD15FUFAwAAAAAACgkQS1zCmZZxgEaa
KhAAgM0Mf1tFTpmEKmoDznbN5Vp4vpk6B3XKXJrQvBTmG6Bw0O56atqm2laSDgNBn824ohmRRE/j
ssEvz9NWWmv2F588YwEa2wceaTf09xSNxO+veqaxNZMvwnyDE3yPayoLb5uE+aWEjolzqb4JfQwW
MczOwEPLOAiQL9y47iOO03jpotsO4s6j61BzR3J6MkoIKTbMiOljy1DQROvyy0DmCL46tzQYnsHn
agc4FG3S3aJCgXfwp+M3gmGF0uTNSimvVu0z5M3KeHmMSspQ3XlmdlO/knRGPBWXTl8Qqmuw2oef
ZkduTzzZRltNbx6TfmKqfFbzRpeIV7ZMqeAXX9APderFOaPf6kUg3s2h23803icsW3dXEhhv8ISJ
j/isCq+cK8p8GphidNeYxDBWoXXqcHPI6CmJEr7PLEIekQSMWso8fjP40+Gv8EVpinLmXiqZMykq
gMjyX+OBEga01Kh5d0fuqtXF/rRX3PLPWtJTRX3AoTtElRNQSvR+HIhmnkCB0x2AnOvL1/9BDu04
9YD0PO1eIKl0C4Y2cvNlfHvTVLWGGV93kdho/rT2wR511u+a7vpNn4w9YIqnr+1tchvXkw59HEYo
gXgVewmTCz48kb+PjCJo27qNRjgDocH5HlnCC9CkY9HqI50RiBZF4RofdOA52hvzNVYFpI81D5f7
Nz4=hT0d
-----END PGP SIGNATURE-----
--ijBZjEeHHDy7I9w2mJ914DwkK5rbiAVMT--
Georges
Le #26576915
Le Mon, 19 Jul 2021 21:52:22 +0200,
a écrit :
Bonjour,
Georges, on 2021-07-16:
Bonjour,
J’utilisais Paprass (GED de https://bipede.fr/contrib/paprass-5-65/
) sans problème sous Linux Debian Bullseye, mais … je viens de
changer de Scanner. Le nouveau n’étant pas reconnu et scanner.cfg
conservant la configuration de l’ancien, j’ai refait une
installation (en mettant Í  l’abri les données enregistrées
auparavant) sans sucés. En console :
~/Paprass$ python3 paprass.py /home/moi/Paprass/paprass.py:65:
DeprecationWarning: an integer is required (got type float).
Implicit conversion to integers using __int__ is deprecated, and
may be removed in a future version of Python. self.resize(width,
height) /home/moi/Paprass/paprass.py:66: DeprecationWarning: an
integer is required (got type float). Implicit conversion to
integers using __int__ is deprecated, and may be removed in a
future version of Python. self.move(posX, posY) Traceback (most
recent call last): File « /home/moi/Paprass/paprass.py », line 242,
in onScan scan = scanner.getScanner(self, cfg) File «
/home/moi/Paprass/scanner.py », line 102, in getScanner dlg > > InitScanner(QCoreApplication.translate(« scanner », « Choice of
scanner »), listeScanners) TypeError: __init__() missing 1 required
positional argument: ‘devices’ Abandon

J'ai essayé de récupérer le programme, par curiosité, mais j'ai
reçu pour tout message:
Invalid File Type
(/home/bipede/www/downloads/logiciels/Paprass-5.65.tar.xz)!




http://www.bipede.fr/downloads/logiciels/ # lÍ  sa marche
Juste avec le message d'erreur, sans idée plus précise de ce
qu'il se passe sous le capot, je conjecture que:
1. ou bien il y a une coquille dans le fichier de configuration
scanner.cfg ;
2. ou bien le scanneur n'est pas reconnu par le système, auquel
cas je ne pense pas que le problème se résolve du cÍ´té de
Pap´rass.

J'ai une solution, scanner avec Xsane enregistrer en .pdf et importer
dans Paprass. Mais sa fait 2 voire 3 manipulations.
Pour le cas numéro deux, peut-être qu'un pilote serait
disponible dans l'une des dépendances de printer-driver-all.
Je serais bien incapable d'en dire plus…
J'ai demandé de l'aide l'auteur (bipède) mais il est hospitalisé
et donc pas en situation d'analyser son programme.
Dommage s'il ne peu plus maintenir ce petit bijou.

:(
Espérons que bipède puisse se remettre…

Ne connaissant pas son problème de santé et n'ayant pas osé le
questionner, je reste complètement désolé.
J'ai utilisé PaperWork quand il n'était pas empaqueté .deb. J'ai
chargé le .deb de Bullseye 1.3.1-3 il est très bien, mais Paprass
permet de classer ses documents dans des répertoires ce qui m'est plus
agréable personnellement.
Merci de votre réponse Í +
--
Georges
Georges
Le #26576917
Le Mon, 19 Jul 2021 16:45:08 -0400,
PMRS a écrit :
Salut,
On 2021-07-19 3:52 p.m., Étienne Mollier wrote:
Bonjour,
Georges, on 2021-07-16:
Bonjour,
J’utilisais Paprass (GED de
https://bipede.fr/contrib/paprass-5-65/ ) sans problème sous Linux
Debian Bullseye, mais … je viens de changer de Scanner. Le nouveau
n’étant pas reconnu et scanner.cfg conservant la configuration de
l’ancien, j’ai refait une installation (en mettant Í  l’abri les
données enregistrées auparavant) sans sucés. En console :
~/Paprass$ python3 paprass.py /home/moi/Paprass/paprass.py:65:
DeprecationWarning: an integer is required (got type float).
Implicit conversion to integers using __int__ is deprecated, and
may be removed in a future version of Python. self.resize(width,
height) /home/moi/Paprass/paprass.py:66: DeprecationWarning: an
integer is required (got type float). Implicit conversion to
integers using __int__ is deprecated, and may be removed in a
future version of Python. self.move(posX, posY) Traceback (most
recent call last): File « /home/moi/Paprass/paprass.py », line
242, in onScan scan = scanner.getScanner(self, cfg) File «
/home/moi/Paprass/scanner.py », line 102, in getScanner dlg > >> InitScanner(QCoreApplication.translate(« scanner », « Choice of
scanner »), listeScanners) TypeError: __init__() missing 1
required positional argument: ‘devices’ Abandon

J'ai essayé de récupérer le programme, par curiosité, mais j'ai
reçu pour tout message:
Invalid File Type
(/home/bipede/www/downloads/logiciels/Paprass-5.65.tar.xz)!



Juste avec le message d'erreur, sans idée plus précise de ce
qu'il se passe sous le capot, je conjecture que:
1. ou bien il y a une coquille dans le fichier de configuration
scanner.cfg ;
2. ou bien le scanneur n'est pas reconnu par le système, auquel
cas je ne pense pas que le problème se résolve du cÍ´té de
Pap´rass.
Pour le cas numéro deux, peut-être qu'un pilote serait
disponible dans l'une des dépendances de printer-driver-all.
Je serais bien incapable d'en dire plus…
J'ai demandé de l'aide l'auteur (bipède) mais il est hospitalisé
et donc pas en situation d'analyser son programme.
Dommage s'il ne peu plus maintenir ce petit bijou.

:(
Espérons que bipède puisse se remettre…

As-tu pensé Í  VueScan ?

Oui et aussi Xsane qui reconnaissent mon scanner CanoScan LIDE 300
parfaitement. Le pilote du fabriquant c'est ok et
scangearmp2_3.7.0-1_amd64.deb est très efficace comme Xsane et
VueScan.
Merci de cette réponse
--
Georges
̓‰tienne Mollier
Le #26576923
--QtOkwkmIVRp01glQ
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Bonjour,
Georges, on 2021-07-20:
Le Mon, 19 Jul 2021 21:52:22 +0200,
a ̓©crit :
J'ai essay̓© de r̓©cup̓©rer le programme, par curiosit̓©, mais j'ai
re̓§u pour tout message:
>> Invalid File Type
>> (/home/bipede/www/downloads/logiciels/Paprass-5.65.tar.xz)!

http://www.bipede.fr/downloads/logiciels/ # l̓  sa marche

Merci, je n'avais pas r̓©ussi ̓  atteindre cette page en navigant
sur le site hier.
Juste avec le message d'erreur, sans id̓©e plus pr̓©cise de ce
qu'il se passe sous le capot, je conjecture que:
1. ou bien il y a une coquille dans le fichier de configuration
scanner.cfg͂ ;
2. ou bien le scanneur n'est pas reconnu par le syst̓¨me, auquel
cas je ne pense pas que le probl̓¨me se r̓©solve du c̓´t̓© de
PapÍ‚´rass.

J'ai une solution, scanner avec Xsane enregistrer en .pdf et importer
dans Paprass. Mais sa fait 2 voire 3 manipulations.

Donc il reste le point num̓©ro un͂ : une coquille dans le
scanner.cfg, ou bien dans le code source de la version 5.65.
Sans scanneur de mon c̓´t̓©, je crains de ne pas pouvoir aller
plus loin.
J'ai utilis̓© PaperWork quand il n'̓©tait pas empaquet̓© .deb. J'ai
charg̓© le .deb de Bullseye 1.3.1-3 il est tr̓¨s bien, mais Paprass
permet de classer ses documents dans des r̓©pertoires ce qui m'est plus
agr̓©able personnellement.

C'est bon de savoir que des alternatives sont disponibles.
Merci de votre r̓©ponse ̓ +

Je vous en prie͂ !
Bonne soir̓©e, :)
--
̓‰tienne Mollier Fingerprint: 8f91 b227 c7d6 f2b1 948c 8236 793c f67e 8f0d 11da
Sent from /dev/pts/2, please excuse my verbosity.
--QtOkwkmIVRp01glQ
Content-Type: application/pgp-signature; name="signature.asc"
-----BEGIN PGP SIGNATURE-----
iQIzBAABCgAdFiEEj5GyJ8fW8rGUjII2eTz2fo8NEdoFAmD3G8gACgkQeTz2fo8N
EdqSDQ/+OBo+QTUgwI57YHgq35swFlLLwbE1KFJf1mF0sN0PAEm+Cc/uuPdFD4nN
196jEvZoYqCPNWhLI0IzwE+w/E5iaN7JmLE5qoaWIyWvcYPF01STXp1SUZTr8+Qx
Q8UI/aNZ0T4cm6lJ9mDSHt/k4867KMsyR+kbkuJglzT38YdEnH2avHKJCEAHIcqs
oP8CwbortfslmO4ecL+h6J/uYavdT6awvSACQ9LSyxrv86ngkPJtzns5hYQJ/4MA
x65AUncUz2Sw/oSVrQWLJZCU9N6+z/xdjIEr/n/agxwBktcAGZ73RffA+BOP2WYM
qMJSvxPIEP+naPLEU0SHLmP99agJB6m2sIuvc1+pfzz0MFA+c2rDibVwf3JsbdSa
uy55lhCkIMjfV9Ir1UOmEfz3num+UTMpt5CB+2g91x5/7R/IGoPEnUUJCFHDgCBS
kSNmM7Xw5FHQ71oyBv7jsbQopIsUDA4VQz6PURgSlthUlcGEVTPSBuaVGl/n+84N
RyKALW1IOAgZbseAOThnQQnY5qHwNuNnMRMNqPChnwCwJui2xMazC3I9jkCZ3nE6
eH97pUjLnSIR3yndfoaqJsGMRGESj5nJlMUDg7ik/SdBbGs5ZQBzMUQE3SB+l+up
QN3mK0TIGP8gSFhH/v0Oft8X5v+Vdg1KC4gdfMHRqkiN/lfyeM0=kMRE
-----END PGP SIGNATURE-----
--QtOkwkmIVRp01glQ--
Poster une réponse
Anonyme